Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Desktop manager for the Xfce Desktop Environment.
Name:		xfdesktop
Version:	4.6.2
Release:	1
License:	GPL
URL: 		http://www.xfce.org/
Source0:	%{name}-%{version}.tar.bz2
Group: 		Graphical Desktop/Xfce/Base
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: exo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gamin-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: hal-devel
BuildRequires: libglade-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libsmbios-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libwnck-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxfce4menu-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxfcegui4-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: libXres-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: startup-notification-devel
BuildRequires: Thunar-devel
BuildRequires: util-linux-ng
BuildRequires: xcb-util-devel
BuildRequires: xfce4-panel-devel
BuildRequires: xfconf-devel
BuildRequires: zlib-devel

%description
xfdesktop is a desktop manager for the Xfce Desktop Environment.

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%prep
%setup -q -n %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xfce/xdg/menus/xfce-applications.menu
%{_bindir}/xfce4-popup-menu
%{_bindir}/xfdesktop
%{_bindir}/xfdesktop-settings
%{_libdir}exec/xfce4/panel-plugins/xfce4-menu-plugin
%{_libdir}/xfce4/modules/xfce4_desktop_menu.a
%{_libdir}/xfce4/modules/xfce4_desktop_menu.la
%{_libdir}/xfce4/modules/xfce4_desktop_menu.so
%{_applications}/xfce4-about-xfce.desktop
%{_applications}/xfce4-file-manager.desktop
%{_applications}/xfce4-help.desktop
%{_applications}/xfce4-logout.desktop
%{_applications}/xfce4-run-program.desktop
%{_applications}/xfce4-terminal.desktop
%{_applications}/xfce4-web-browser.desktop
%{_applications}/xfce-backdrop-settings.desktop
%{_datadir}/desktop-directories/xfce-accessories.directory
%{_datadir}/desktop-directories/xfce-development.directory
%{_datadir}/desktop-directories/xfce-education.directory
%{_datadir}/desktop-directories/xfce-games.directory
%{_datadir}/desktop-directories/xfce-graphics.directory
%{_datadir}/desktop-directories/xfce-multimedia.directory
%{_datadir}/desktop-directories/xfce-network.directory
%{_datadir}/desktop-directories/xfce-office.directory
%{_datadir}/desktop-directories/xfce-other.directory
%{_datadir}/desktop-directories/xfce-screensavers.directory
%{_datadir}/desktop-directories/xfce-settings.directory
%{_datadir}/desktop-directories/xfce-system.directory
%{_datadir}/icons/hicolor/*/apps/xfce4-backdrop.png
%{_datadir}/icons/hicolor/*/apps/xfce4-menueditor.png
%{_datadir}/icons/hicolor/scalable/apps/xfce4-backdrop.svg
%{_datadir}/icons/hicolor/scalable/apps/xfce4-menueditor.svg
%{_locale}/*/LC_MESSAGES/xfdesktop.mo
%{_mandir}/man1/xfdesktop.1.gz
%{_pixmaps}/xfce4/xfdesktop/text-selection-frame.png
%{_pixmaps}/xfce4_xicon1.png
%{_pixmaps}/xfce4_xicon2.png
%{_pixmaps}/xfce4_xicon3.png
%{_pixmaps}/xfce4_xicon4.png
%{_pixmaps}/xfce4_xicon.png
%{_pixmaps}/xfdesktop/xfdesktop-fallback-icon.png
%{_datadir}/xfce4/backdrops/flower.png
%{_datadir}/xfce4/backdrops/xfce4gradientcurve.png
%{_datadir}/xfce4/backdrops/xfce4logo.png
%{_datadir}/xfce4/backdrops/xfce-in-a-grid.png
%{_datadir}/xfce4/backdrops/xfce-in-the-moon.png
%{_datadir}/xfce4/backdrops/xfce-smoke.png
%{_datadir}/xfce4/backdrops/xfce-stellar-tile.png
%{_datadir}/xfce4/backdrops/xfce-stripes.png
%{_datadir}/xfce4/backdrops/xfce-turbulence.png
%{_datadir}/xfce4/doc/*/images/root_menu2.png
%{_datadir}/xfce4/doc/*/images/root_menu.png
%{_datadir}/xfce4/doc/*/images/select_bg_color.png
%{_datadir}/xfce4/doc/*/images/xfdesktop-appearance-tab.png
%{_datadir}/xfce4/doc/*/images/xfdesktop-behavior-tab.png
%{_datadir}/xfce4/doc/*/images/xfdesktop-editor.png
%{_datadir}/xfce4/doc/*/images/xfdesktop-list.png
%{_datadir}/xfce4/doc/*/xfdesktop.html
%{_datadir}/xfce4/doc/ja/images/xfdesktop-background-tab.png
%{_datadir}/xfce4/doc/ja/images/xfdesktop-icons-tab.png
%{_datadir}/xfce4/doc/ja/images/xfdesktop-menus-tab.png
%{_datadir}/xfce4/panel-plugins/xfce4-menu.desktop

%changelog
* Mon May 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.6.2-1
- Version Update
* Sun Sep 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.6.1-1
- Version Update
* Sat Mar 14 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.0-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.5.92-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.4.3-1
- Version update
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.2-1
- Version update
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.1-1
- Version update
* Wed Jan 31 2007 Christian Metzen <metzench@ccux-linux.de> 4.4.0-1
- Version update
* Sat Nov 25 2006 Christian Metzen <metzench@ccux-linux.de> 4.3.99.2-1
- cleaned version, moved libexecdir and sysconfdir
* Thu Nov 23 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-2
- Version Update RC2
* Fri Sep 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.3.99-2
- rebuilt against dbus 0.93
* Mon Sep 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-1
- Version Update, RC1
* Thu Jul 20 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.90-1
- Version Update, beta2
* Sat Nov 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Oct 14 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.2.2-1
- Initial Release
